/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: ScriptEvent.idl,v $
 * $Revision: 1.8 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_script_ScriptEvent_idl__ 
#define __com_sun_star_script_ScriptEvent_idl__ 
 
#ifndef __com_sun_star_script_AllEventObject_idl__ 
#include <com/sun/star/script/AllEventObject.idl> 
#endif 
 
 
//============================================================================= 
 
 module com {  module sun {  module star {  module script {  
 
//============================================================================= 
/** script event that gets delivered whenever a script event takes place. 
    <p>For that to happen, a "ScriptEventDescriptor" must be registered at 
    and attached to an object by an <type>XEventAttacherManager</type>.</p>
 */
published struct ScriptEvent: com::sun::star::script::AllEventObject
{ 
    //------------------------------------------------------------------------- 
    /** type of the script language as string; for example, "Basic" or "StarScript".
     */
    string ScriptType; 
 
    //------------------------------------------------------------------------- 
    /** script code as string. 
        
        <p>The code has to correspond with the language
        defined by ScriptType.</p>
     */
    string ScriptCode; 
 
}; 
 
//============================================================================= 
 
}; }; }; };  
 
#endif 
